Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class ScrollMode

    java.lang.Object
      org.hibernate.ScrollMode

All Implemented Interfaces:
  Serializable

    public final class ScrollMode

extends Object
implements Serializable

Specifies the type of JDBC scrollable result set to use underneath a `ScrollableResults`

Author:
  Gavin King
See Also:
  `Query.scroll(ScrollMode)`, `ScrollableResults`, Serialized Form

Field Summary
`static ScrollMode` | `FORWARD_ONLY`
`static ScrollMode` | `SCROLL_INSENSITIVE` Note that since the Hibernate session acts as a cache, you might need to expicitly evict objects, if you need to see changes made by other transactions.
`static ScrollMode` | `SCROLL_SENSITIVE`

Method Summary
`boolean` | `lessThan(ScrollMode other)`
`int` | `toResultSetType()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FORWARD_ONLY

    public static final ScrollMode FORWARD_ONLY

See Also:
  `ResultSet.TYPE_FORWARD_ONLY`

### SCROLL_SENSITIVE

    public static final ScrollMode SCROLL_SENSITIVE

See Also:
  `ResultSet.TYPE_SCROLL_SENSITIVE`

### SCROLL_INSENSITIVE

    public static final ScrollMode SCROLL_INSENSITIVE

  Note that since the Hibernate session acts as a cache, you might need to expicitly evict objects, if you need to see changes made by other transactions.

  See Also:
    `ResultSet.TYPE_SCROLL_INSENSITIVE`

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toResultSetType

    public int toResultSetType()

  Returns:
    the JDBC result set type code

### lessThan

    public boolean lessThan(ScrollMode other)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD